$(function () {
    const domainMapToICPArr = [
        {
            domainKey: "ext",
            icpNo: "粤ICP备2021008932号",
        },
        {
            domainKey: "gzshuimh",
            icpNo: "粤ICP备18069171号-9",
            title: "广州水心魔盒"
        },
        {
            domainKey: "gzshuimedia",
            icpNo: "粤ICP备18069171号-10",
            title: "广州水心媒"
        },
        {
            domainKey: "gzshuidzk",
            icpNo: "粤ICP备18069171号-11",
            title: "广州水心电子卡"
        },
        {
            domainKey: "gzshuitech",
            icpNo: "粤ICP备18069171号-12",
            title: "广州水心科技"
        },
        {
            domainKey: "shuixin",
            icpNo: "粤ICP备18069171号-8",
            title: "水心信息科技有限公司"
        },
        {
            domainKey: "kaipin",
            icpNo: "浙ICP备2021039680号-1",
            title: "舟山开屏三千信息科技有限公司"
        },
        {
            domainKey: "qinee",
            icpNo: "粤ICP备2023021671号",
            title: "深圳市勤量互联网技术有限责任公司"
        },
    ];
    const zqPayDomains = [
        {
            title: "多多商城",
            domainKey: "qinee",
            icpNo: "粤ICP备2023021671号",
            coName: " | 深圳市勤量互联网技术有限责任公司"
        },
        {
            title: "多多商城",
            domainKey: "szpxsw",
            icpNo: "粤ICP备2023049814号",
            coName: " | 深圳市鹏翔商务服务有限公司"
        },
        {
            title: "多多商城",
            domainKey: "yjshangwu",
            icpNo: "粤ICP备2021047226号",
            coName: " | 深圳市壹嘉商务科技有限公司"
        }
    ]
    if (location.href.includes("gzshuitech")) {
        document.title = "多多商城"
        $('.pcMainPage').hide();
        $('.mobileMainPage').hide();
        $('.icpLink').text("粤ICP备18069171号-12")
        $('.mallWebpage').click(() => {
            $('.toastMall').show();
            setTimeout(() => {
                $('.toastMall').hide();
            }, 1500);
        })
    }
    else if (location.href.includes("gzshuimedia")) {
        document.title = "多多商城"
        $('.pcMainPage').hide();
        $('.mobileMainPage').hide();
        $('.icpLink').text("粤ICP备2023021671号")
        $('.mallWebpage').click(() => {
            $('.toastMall').show();
            setTimeout(() => {
                $('.toastMall').hide();
            }, 1500);
        })
    }
    else if (zqPayDomains.some(item => location.href.includes(item.domainKey))) {
        const pageObj = zqPayDomains.find(item => location.href.includes(item.domainKey))
        // console.log(pageObj)
        $('.pcMainPage').hide();
        document.title = pageObj.title
        $(".icpLink").text(pageObj.icpNo);
        $(".coName").text(pageObj.coName)
        $(".servicePhone").text("")
        $('.mallWebpage').click(() => {
            $('.toastMall').show();
            setTimeout(() => {
                $('.toastMall').hide();
            }, 1500);
        })
    }
    else {
        $('.mallWebpage').hide()
        for (let i = 0; i < domainMapToICPArr.length; i++) {
            if (location.href.includes(domainMapToICPArr[i].domainKey)) {
                console.log(true, i, domainMapToICPArr[i].icpNo, $("#icpNo"))
                document.title = domainMapToICPArr[i].title;
                $("#icpNo").text(domainMapToICPArr[i].icpNo);
                $("#companyName").text(domainMapToICPArr[i].title);
                $("#address").text("地址：广州市林和中路天安人寿中心24层");
                if (domainMapToICPArr[i].domainKey == "kaipin") {
                    $("#address").text("地址：中国（浙江）自由贸易试验区舟山市定海区舟山港综合保税区企业服务中心305-40999室")
                }
                if (domainMapToICPArr[i].domainKey == "gzshuimedia") {
                    $("#phone").text("客服电话：400-600-8777（工作时间：9:00～18:00）*如电话繁忙请下载App联系在线客服")
                }
            }
        }

        const postData = { "phead": { "accessToken": "23573AF158D1D633C924381950A7F7EA", "activityChannel": 0, "advid": "string", "androidId": "string", "availableCapacity": "string", "brand": "string", "capacity": "string", "carrier": "cmcc", "channel": 92000, "channelName": "string", "cip": "string", "cityid": "440100", "cversion": 2, "cversionname": "1.0.0", "densty": "string", "dpi": "390*844", "gcityid": "440100", "gender": -1, "idfa": "00000000-0000-0000-0000-000000000000", "imei": "string", "imsi": "46000", "lang": "zh-Hans-CN", "lat": "string", "lng": "string", "local": "cn", "mac": "string", "memory": "string", "net": "wifi", "originalChannel": 92000, "ph": "string", "phone": "iPhone13,3", "phoneNumber": "", "platform": "ios", "prdid": "17423", "pversion": 0, "pw": "string", "referrer": "string", "resolution": "string", "sdk": 0, "serialId": "string", "shumeiid": "string", "timeZone": "string", "timezoneid": "string", "ua": "", "userCreateTime": "2022-01-15T17:40:33", "userId": 0, "vendor": "Apple", "marketing": { "dv": "iphone", "jb": 0, "ifa": "", "ifa_tracking": 0 }, "phoneid": "78648f25cc6d44e08cb71f7289f8338e", "isMember": 0, "isInstallTaobao": "1", "wechatUnionid": "", "version": 2, "sys": "15.2", "isInstallAlipay": "1", "webClientIp": "113.65.131.247", "ip": "113.65.131.247" }, "sign": "1242345" };
        let prdList = [];
        $.ajax({
            type: "post",
            url: "https://prod.shuixin.tech/shop_box/box/list",
            data: JSON.stringify(postData),
            contentType: "application/json",
            success: function (data) {
                console.log(data.data.list.slice(0, 6))
                prdList = data.data.list.slice(0, 6);
                let htmlStr = template("template", prdList);
                $('.listContainer').html(htmlStr);
                $('.listItem').click(function () {
                    console.log(prdList[$(this).index()])
                    const currentData = prdList[$(this).index()];
                    location.href = "./detail.html?id=" + currentData.id
                })
            }
        });

        $('.bigBanner').click(() => {
            $('.toast').show();
            setTimeout(() => {
                $('.toast').hide();
            }, 1500);
        })
    }
})
